## net.sourceforge.pmd
Class TargetJDK1_3

    java.lang.Object
      net.sourceforge.pmd.TargetJDK1_3

All Implemented Interfaces:
  TargetJDKVersion

public class TargetJDK1_3
extends java.lang.Object
implements TargetJDKVersion

This is an implementation of `TargetJDKVersion` for JDK 1.3.

Author:
  Tom Copeland

Constructor Summary
`TargetJDK1_3()`

Method Summary
`JavaParser` `createParser(java.io.InputStream in)` Creates a parser.
`JavaParser` `createParser(java.io.Reader in)` Creates a parser.
`java.lang.String` `getVersionString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetJDK1_3

    public TargetJDK1_3()

Method Detail

### createParser

    public JavaParser createParser(java.io.InputStream in)

  Description copied from interface: `TargetJDKVersion`
  Creates a parser.

  Specified by:
    `createParser` in interface `TargetJDKVersion`
  Parameters:
    `in` - the stream to parser
  Returns:
    a parser for the input stream
  See Also:
    `TargetJDKVersion.createParser(InputStream)`

### createParser

    public JavaParser createParser(java.io.Reader in)

  Description copied from interface: `TargetJDKVersion`
  Creates a parser.

  Specified by:
    `createParser` in interface `TargetJDKVersion`
  Parameters:
    `in` - an input stream reader
  Returns:
    a parser for the stream read by the stream reader
  See Also:
    `TargetJDKVersion.createParser(Reader)`

### getVersionString

    public java.lang.String getVersionString()

  Specified by:
    `getVersionString` in interface `TargetJDKVersion`

Copyright © 2002-2006 InfoEther. All Rights Reserved.